<?php /* Smarty version 2.6.14, created on 2006-08-09 07:52:54
         compiled from I:%5Cdouya.cn/meta/module/module_list.php */ ?>
<?php echo '<?php'; ?>


include_once( ROOT . 'lib/biz.function.php' );


if( isset( $_REQUEST['tag'] ))
{
	$tag = $_REQUEST['tag'];

	if( intval( $_REQUEST['page'] ) < 1 ) $page = 1 ; else $page = $_REQUEST['page'];
	$page_num = intval( _conf( 'CONTENT_PER_PAGE' ) );

	$start = ( $page-1 ) * $page_num;

	$page_all = ceil( get_content_num_by_tag(  <?php echo $this->_tpl_vars['module_id']; ?>
 , $tag ) /$page_num );
	$pager = get_pager( $page , $page_all , Array( 'a' , 'search_text' , 'tag' ) );

	$t = _tpl();
	$t->set( 'title' , "<?php echo $this->_tpl_vars['dy_module_content']; ?>
列表" );
	$t->set( 'top_title' , "<?php echo $this->_tpl_vars['dy_module_content']; ?>
列表" );
	$t->set( 'lines' , get_content_by_tag( <?php echo $this->_tpl_vars['module_id']; ?>
 , $tag , $start , $page_num ) );
	$t->set( 'pager' , $pager );
	echo $t->autoFetch( __FILE__ );
}
else
{
	$text = _s( $_REQUEST['search_text']  );
	if( intval( $_REQUEST['page'] ) < 1 ) $page = 1 ; else $page = $_REQUEST['page'];
	$page_num = intval( _conf( 'CONTENT_PER_PAGE' ) );

	$start = ( $page-1 ) * $page_num;

	$page_all = ceil( get_content_num_by_search_text(  <?php echo $this->_tpl_vars['module_id']; ?>
 , $text ) /$page_num );
	$pager = get_pager( $page , $page_all , Array( 'a' , 'search_text' , 'tag' ) );

	$t = _tpl();
	$t->set( 'title' , "<?php echo $this->_tpl_vars['dy_module_content']; ?>
列表" );
	$t->set( 'top_title' , "<?php echo $this->_tpl_vars['dy_module_content']; ?>
列表" );
	$t->set( 'lines' , get_content_by_search_text( <?php echo $this->_tpl_vars['module_id']; ?>
 , $text , $start , $page_num ) );
	$t->set( 'pager' , $pager );
	echo $t->autoFetch( __FILE__ );
}





<?php echo '?>'; ?>